## dvr 3.2

=== Makefile ===
SUBDIRS=lib dvr-console dvr-qtgui

all: $(SUBDIRS)
	cd lib && $(MAKE)
	cd dvr-console && $(MAKE)
	cd dvr-qtgui && ./configure && $(MAKE)
	
install: 
	for i in $(SUBDIRS); do cd $$i && make $@; cd ..; done
	mkdir -p ${prefix}/share/doc
	cp -r doc ${prefix}/share/doc/dvr-${version}
	chmod -R 0755 ${prefix}/share/doc/dvr-${version}

clean: 
	for i in $(SUBDIRS); do cd $$i && make $@; cd ..; done
	rm -f *~

distclean: clean

rpm:
	cd rpm && $(MAKE)

=== dvr-console/Makefile ===
AIM=dvr-console

CPP_FILES=main conf_analysis_yy

CXXFLAGS=-Wall -O2 -I../lib -g
LDFLAGS=-lz -L/usr/local/lib -laviplay -L../lib -ldvr

############## generic part ########################
all: $(AIM)
CPP_OBJECTS=$(CPP_FILES)
OBJECTS=$(CPP_OBJECTS)


$(AIM): $(OBJECTS:=.o) ../lib/libdvr.a
	$(CXX) -o $@ $^ $(LDFLAGS)

$(CPP_OBJECTS:=.o): %.o:%.cpp
	$(CXX) -c $(CXXFLAGS) $<

conf_analysis_yy.cpp: conf_analysis.yy
	flex -o$@ $<	
	
clean:
	rm -f *~ *.o $(AIM) conf_analysis_yy.cpp

distclean: clean

install: $(AIM)
	mkdir -p ${prefix}/bin
	install -s -m 755 $(AIM) ${prefix}/bin

=== dvr-qtgui/Makefile ===
####################################################
############## configuration part ##################
AIM=dvr-qtgui


QT_UI_FILES=QAudioConfig QCodecConfig QTVConfig QDvrGUI QDeviceSelection
QT_IMPL_FILES=QAudioConfigImpl QCodecConfigImpl QTVConfigImpl QDvrGUIImpl qv4lwindow
CPP_FILES=main vidmode conf_analysis_yy video_monitoring
TRANSLATIONS=translations/dvr_de translations/dvr_fr

CXX=g++
CC=gcc
CXXFLAGS=-Wall -O2 -I../lib -DQT_THREAD_SUPPORT -DVERSION=\"${version}\"
LDFLAGS=-lqt-mt -lpthread -lXxf86vm -lXext -lXv -L/usr/X11R6/lib -L../lib -ldvr

############## generic part ########################
-include .config

QT_FILES=$(QT_UI_FILES) $(QT_IMPL_FILES)
CPP_OBJECTS=$(QT_FILES) $(QT_FILES:=.moc) $(CPP_FILES)
OBJECTS=$(CPP_OBJECTS)

all: config $(AIM)

config:
	@if [ ! -f .config ]; then echo "run ./configure first"; exit 1; fi
	
$(AIM): $(OBJECTS:=.o) ../lib/libdvr.a
	$(CXX) -o $@ $^ $(LIBRARIES) $(LDFLAGS)
	$(LRELEASE) $(AIM).pro

$(CPP_OBJECTS:=.o): %.o:%.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDES) $<

#$(QT_FILES:=.moc.o): %.moc.o:%.moc
#	$(CXX) -c $(CXXFLAGS) $(INCLUDES) $<

$(QT_FILES:=.moc.cpp): %.moc.cpp:%.h
	$(MOC) -o $@ $<

$(QT_UI_FILES:=.h): %.h:%.ui
	$(UIC) -o $*.h $*.ui

$(QT_UI_FILES:=.cpp): %.cpp:%.ui
	$(UIC) -o $*.h $*.ui
	$(UIC) -i $*.h -o $@ $<

conf_analysis_yy.cpp: conf_analysis.yy
	flex -o$@ $<	
	
clean:
	rm -f *~ $(QT_UI_FILES:=.h) $(QT_UI_FILES:=.cpp) $(QT_FILES:=.moc) $(QT_FILES:=.moc.cpp) *.o .config $(AIM) conf_analysis_yy.cpp 'c:\trace_b.txt' movie.avi

distclean: clean

install: $(AIM)
	mkdir -p ${prefix}/bin
	install -s -m 755 $(AIM) ${prefix}/bin
	mkdir -p ${prefix}/share/dvr-${version}/translations
	cp translations/*.qm ${prefix}/share/dvr-${version}/translations

=== lib/Makefile ===
CXXFLAGS=-O2 -Wall -g

libdvr.a: dvr.o parameter_list.o v4l.o framepool.o dsp.o
	ar -r libdvr.a $^

.o.cpp:

install:

clean:
	rm -f *~ *.o libdvr.a

distclean: clean

=== rpm/Makefile ===
all:
	./make_rpm

=== debian/changelog ===
dvr (3.2-9.2ubuntu2) oneiric; urgency=low

  *lib/v4l.h 
   -Changed #include "linux/videodev.h" to #include <libv4l1-videodev.h> to fix FTBFS
  *debian/control
   -added libv4l-dev as build dependency to provide libv4l1-videodev
  *added quilt patch system 

 -- Florian Brandes <florian.brandes@gmx.de>  Sun, 25 Sep 2011 20:58:38 +0200

dvr (3.2-9.2ubuntu1) natty; urgency=low

  * dvr-{console,qtgui}/Makefile: add missing libraries to fix FTBFS.

 -- Ilya Barygin <barygin@gmail.com>  Sun, 09 Jan 2011 21:20:16 +0300

dvr (3.2-9.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dvr.cpp:579: error: 'CodecInfo' has not been declared".
    Applied patch by Ilya Barygin (Closes: #556830)

 -- Bastian Venthur <venthur@debian.org>  Tue, 23 Feb 2010 17:50:39 +0100

dvr (3.2-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS using patch from  Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr>. (Closes: #454893)
  * Drop build-dep on deprecated libqt3-compat-headers, patch from 
    Barry deFreese <bddebian@comcast.net>. (Closes: #464254)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 16:26:02 +0100

dvr (3.2-9) unstable; urgency=low

  * Include gcc4.3 patch from Martin (Closes: #417163)
  * Add Build-Depends: libdts-dev, Thanks to Jason Harrison
    - dvr - FTBFS: /usr/bin/ld: cannot find -ldts (Closes: #436351)
  * Switch to Debian KDE Extras Team
  * Add debian/compat: fixes lintian debian-rules-sets-DH_COMPAT
  * Add [ ! -f Makefile ] || $(MAKE) clean: fixes lintian debian-rules-
    ignores-make-clean-error
  * debian/menu section Applications/Menu: linitan menu-item-uses-
    apps-section
  * Architecture: i386 amd64 as thats where libavifile is

 -- Mark Purcell <msp@debian.org>  Sun, 19 Aug 2007 09:18:43 +0100

dvr (3.2-8) unstable; urgency=low

  * Cleanup debian/watch
  * Build-Depends: libxv-dev, Thanks Andreas
    - FTBFS: Missing Build-Depends on 'libxv-dev' (Closes: #373296)
  * dvr-qtgui crashes with segfault (Closes: #218031)
  * export DH_COMPAT=4
  * Fix: old-fsf-address-in-copyright-file

 -- Mark Purcell <msp@debian.org>  Thu, 15 Jun 2006 10:20:18 +1000

dvr (3.2-7) unstable; urgency=low

  * Build-Depends:  libqt3-mt-dev (>= 3:3.3.4-4)
  * Rebuild for C++ ABI

 -- Mark Purcell <msp@debian.org>  Thu, 18 Aug 2005 21:17:06 +0100

dvr (3.2-6) unstable; urgency=low

  * Rebuild for C++ ABI
  * Closes: #319431: FTBFS: Missing build-dependency on libxxf86vm-dev
    - Thanks Matt Kraai
  * Lintian cleanup: unquoted-string-in-menu-item /usr/share/menu/dvr
  * Lintian cleanup: multiline-field build-depends
  * Lintian cleanup: build-depends-on-essential-package-without-using-
    version build-depends
  * Lintian cleanup: packages-installs-file-to-usr-x11r6

 -- Mark Purcell <msp@debian.org>  Sat, 30 Jul 2005 15:13:27 +0100

dvr (3.2-5) unstable; urgency=low

  * remove chrpath (Closes: Bug#277140)

 -- Mark Purcell <msp@debian.org>  Sat, 13 Nov 2004 07:35:16 +1100

dvr (3.2-4) unstable; urgency=low

  * Closes: #264391: FTBFS: bashism in dvr-qtgui/configure
  * Thanks  Roland Stigge

 -- Mark Purcell <msp@debian.org>  Mon, 16 Aug 2004 21:17:35 +1000

dvr (3.2-3) unstable; urgency=low

  * Closes: #258632: FTBFS with gcc-3.4: array bound forbidden after
    parenthesized type-id
  * Apply Andreas Jochens patch for gcc-3.4 build

 -- Mark Purcell <msp@debian.org>  Sun, 11 Jul 2004 19:08:42 +1000

dvr (3.2-2) unstable; urgency=low

  * Use CVS Diff for /dvr/dvr/dvr-qtgui/qv4lwindow.cpp 

 -- Mark Purcell <msp@debian.org>  Wed, 24 Mar 2004 22:51:13 +1100

dvr (3.2-1) unstable; urgency=low

  * New upstream release
  * Grab patch to qv4lwindow.cpp, QDvrGUIImpl.cpp & QTVConfigImpl.cpp
    from upstream CVS to fix string conversion problem (Closes:
    Bug#237746)

 -- Mark Purcell <msp@debian.org>  Sat, 13 Mar 2004 22:18:02 +1100

dvr (3.1-2) unstable; urgency=low

  * Rebuild for unstable xlibs 4.3 (Closes: Bug#233253)

 -- Mark Purcell <msp@debian.org>  Tue, 24 Feb 2004 12:02:13 +1100

dvr (3.1-1) unstable; urgency=low

  * New upstream release
  * Change dvr-qtgui/QDvrGUIImpl.cpp to use /dev/video instead of
    video2. (Closes: Bug#211537)

 -- Mark Purcell <msp@debian.org>  Sat, 17 Jan 2004 18:48:53 +1100

dvr (2.9-3) unstable; urgency=low

  * Change dvr-qtgui/QDvrGUIImpl.cpp to use /dev/video instead of
    video2. (Closes: Bug#211537)

 -- Mark Purcell <msp@debian.org>  Fri, 19 Sep 2003 21:01:32 +1000

dvr (2.9-2) unstable; urgency=low

  * Rebuild for update in libavifile (Closes: Bug#211365)

 -- Mark Purcell <msp@debian.org>  Wed, 17 Sep 2003 22:14:48 +1000

dvr (2.9-1) unstable; urgency=low

  * New upstream release (Closes: Bug#147175)
  * Restructure debian package for dvr-{qtgui,console} variants
  * Lintian cleanup: menu-icon-has-bad-colors
    /usr/X11R6/include/X11/pixmaps/tv.xpm Icons in the Debian menu
    system should use only the 24 colors in /usr/share/pixmaps/cmap.xpm.

 -- Mark Purcell <msp@debian.org>  Tue, 19 Aug 2003 19:41:14 +1000

dvr (2.7.9-3-1) unstable; urgency=low

  * New upstream release
  * lintian cleanup: copyright-lists-upstream-authors-with-dh_make-
    boilerplate
  * lintian cleanup: description-synopsis-is-duplicated, extended-
    description-line-too-long
  * lintian cleanup: menu-icon-has-bad-colors
  * Closes NMU fixes (Closes: Bug#183880, Bug#181852)

 -- Mark Purcell <msp@debian.org>  Sat, 26 Apr 2003 12:56:11 +1000

dvr (2.7.9-2.1) unstable; urgency=high

  * NMU
  * Recompile with new libqt3 (added build-depend on libqt3-compat-headers)
    fixed configure qt3 header check (Closes: #183880)
  * Recompile with new libavifile (Closes: #181852)
  * Fixed flex transition problem

 -- Julien LEMOINE <speedblue@debian.org>  Thu, 24 Apr 2003 13:04:48 +0200

dvr (2.7.9-2) unstable; urgency=low

  * Include Build-Depends: chrpath (Closes: Bug#162863)

 -- Mark Purcell <msp@debian.org>  Sun,  6 Oct 2002 22:01:07 +1000

dvr (2.7.9-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: dvr
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: debhelper, libxv-dev, libavifile-0.7-dev, flex, libxxf86vm-dev,  libqt3-mt-dev, libdts-dev, libv4l-dev
Standards-Version: 3.5.2

Package: dvr
Architecture: i386 amd64
Depends: ${shlibs:Depends}
Description: Digital Video Recorder
 DVR is a tool to record movies on a computer equipped with a
 Video4Linux-compatible video capture card. It can record and compress data at
 up to 25 fps in real time, using recent codecs like DivX, Indeo 5, MPEG4, and
 others.
 .
 Features include:   
  - support for writing data in segmented files (to avoid 2GB file size
     limitations)
  - support for recording audio in MP3 or PCM, with configurable frequency,
     mono/stereo, etc.
  - on-the-fly capture and compression (requires a fast processor)
  - horizontal margin removal during capture (saves disk space and processor
     resources when recording movies that have black top/bottom margins, such
      as 16/9)
  - detailed monitoring during recording (free space left, frames lost, CPU
     usage, etc.)
  - configurable record start time and duration
  - a large number of configurable parameters (size, image depth, codec
     attributes, TV parameters, etc.)
  - session management (saving parameters on exit and reloading them on launch)
  - simultaneous preview and capture
  - fullscreen preview
  - support for multi-processor machines
  - session management
  - a graphical user interface
 .
 Website: http://dvr.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
#	./configure

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	make
	#/usr/bin/docbook-to-man debian/dvr.sgml > dvr.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp dvr-qtgui/translations/*.qm

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/dvr.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/dvr prefix=$(CURDIR)/debian/dvr/usr
#	mogrify -format xpm -geometry 32x32 -map cmap.xpm tv.xpm
	cp dvr-qtgui/tv.xpm $(CURDIR)/debian/dvr/usr/share/pixmaps/tv.xpm


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman debian/dvr-qtgui.1 debian/dvr-console.1
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
version=2
# Site		Directory		Pattern			Version	Script
#http://prdownloads.sourceforge.net/dvr/dvr-2.6.tar.gz
#http://unc.dl.sourceforge.net/sourceforge/dvr/dvr-(.*)\.tar\.gz	debian	uupdate
http://sf.net/dvr/dvr-(.*)\.tar\.gz
